%global momorel 3
%global qtdir %{_libdir}/qt3
%global qtver 3.3.4
%global kdedir /usr
%global kdever 3.4.0
%global kdelibsrel 1m
%global ftpdirver 3.4
%global sourcedir stable/%{ftpdirver}/src

Name: kdeadmin
Summary: K Desktop Environment - Admin tools
Version: %{kdever}
Release: %{momorel}m
Group: User Interface/Desktops
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 d1db9fac4faca194cbda1e8189453363
# mirror site in Japan.
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 d1db9fac4faca194cbda1e8189453363
Source6: kuser.pam
Source7: kuser.pamd
Source8: kpackage.pam
Source9: kpackage.pamd
Source10: kpackagerc
Patch0: %{name}-%{version}-nokdelibsuff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: kpackage1x                      
Requires: kdebase >= %{kdever}, usermode
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: fam-devel, libpng >= 1.2.0
BuildPreReq: autoconf >= 2.56-3m, automake >= 1.5-8k
BuildPrereq: rpm-devel >= 4.0.4
ExcludeArch: ia64

%description
Administration tools for the K Desktop Environment.
Included with this package are

   kcron: a crontab editor for KDE
   kdat: a tape backup tool
   kpackage: a frontend for RPM and other package managers
   ksysv: configuring your runlevels
   kuser: managing the users and user groups

%prep
%setup -q

%patch -p1 -b .nokdelibsuff

perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" ksysv/Makefile* lilo-config/qt/Makefile.*

# workaround for automake/autoconf version
perl -p -i -e "s|KDE_AUTOCONF_VERS=\"|KDE_AUTOCONF_VERS=\"-2.59 |g" admin/detect-autoconf.sh
perl -p -i -e "s|KDE_AUTOMAKE_VERS=\"|KDE_AUTOMAKE_VERS=\"-1.9 |g" admin/detect-autoconf.sh

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

export CFLAGS="-D_GNU_SOURCE %{optflags} -fno-exceptions -fno-check-new -DNDEBUG -DNO_DEBUG" \
export CXXFLAGS="-D_GNU_SOURCE %{optflags} -fno-exceptions -fno-check-new -DNDEBUG -DNO_DEBUG" \

if [ `gcc -dumpversion` = "3.3" ]; then
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
CFLAGS="$CFLAGS -fno-stack-protector"
fi

./configure \
	--with-rpm \
	--prefix=%{_prefix} \
        --sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--disable-debug \
	--enable-final \
	--with-private-groups

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# don't use, just delete. Our own versions come later.
rm -rf %{buildroot}%{_sysconfdir}/pam.d 
rm -rf %{buildroot}%{_sysconfdir}/security

# fix absolute symbolic links
(
  mkdir -p %{buildroot}%{_docdir}/HTML/en/common
  cd %{buildroot}%{_docdir}/HTML/en
  for i in kcron kpackage ksysv kuser kwuftpd ; do
    cd $i && ln -nfs ../common .
    cd ..
  done
)

# Put in some sane defaults
mkdir -p %{buildroot}%{_datadir}/config
cat >%{buildroot}%{_datadir}/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF

cat >%{buildroot}%{_datadir}/config/ksysvrc <<EOF
[Other Settings]
Configured=true
[Path Settings]
RunlevelPath=/etc/rc.d
ScriptPath=/etc/rc.d/init.d
[Runlevels]
Show Runlevels=0,1,2,3,4,5,6
EOF

# Run kpackage, kwuftpd and kuser through consolehelper
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps %{buildroot}%{_sysconfdir}/pam.d %{buildroot}%{_sbindir}
install -c -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/security/console.apps/kuser
install -c -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/pam.d/kuser
install -c -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/security/console.apps/kpackage
install -c -m 644 %{SOURCE9} %{buildroot}%{_sysconfdir}/pam.d/kpackage
install -c -m 644 %{SOURCE10} %{buildroot}%{_datadir}/config
mv %{buildroot}%{_bindir}/kuser %{buildroot}%{_bindir}/kpackage %{buildroot}%{_sbindir}
ln -s consolehelper %{buildroot}/usr/bin/kpackage
ln -s consolehelper %{buildroot}/usr/bin/kuser
[ -x %{buildroot}%{_bindir}/consolehelper ] && rm %{buildroot}%_bindir}/consolehelper

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config %{_datadir}/config/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_bindir}/kcron
%{_bindir}/kdat
%{_bindir}/kpackage
%{_bindir}/ksysv
%{_bindir}/kuser
%{_bindir}/secpolicy
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_sbindir}/kpackage
%{_sbindir}/kuser
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/*
%{_datadir}/config.kcfg/kuser.kcfg
%{_datadir}/doc/HTML/en/kcron
%{_datadir}/doc/HTML/en/kdat
%{_datadir}/doc/HTML/en/kpackage
%{_datadir}/doc/HTML/en/ksysv
%{_datadir}/doc/HTML/en/kuser
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*.desktop

%changelog
* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section
- remove -fno-rtti from CXXFLAGS

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- revise kpackagerc for Momonga Linux
- use consolehelper instead of consolehelper-gtk
- BuildPreReq: kdebase

* Fri Mar  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-3m)
- fix missing %%{_bindir}/kpackage and kuser

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release

* Sat May 22 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (3.2.3-2m)
- require usermode-gtk (usermode-x11 is obsolete).

* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for enabling rpm 4.2.
- kdeadmin should depend rpm greater than 4.0.4, right?

* Sun Mar 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- sync Source7 with Fedora (kuser.pamd)
- modifed %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against qt-3.2.3

* Thu Sep 25 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- export CFLAGS and CXXFLAGS
- add -fno-stack-protector to CFLAGS and CXXFLAGS if gcc is 3.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- no changes since 3.1.1

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    Linux Kernel Configurator: Add details about the lightbulb icon's meaning
    Linux Kernel Configurator: Support for more incorrect kernel configuration files
- remove kwuftpd(it is not built in 3.1.1)

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Sat Feb 23 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-6k)
- rebuild against for rpm 4.0.4

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (2.2.2-4k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Mon Nov 26 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- revised control-panel.
- kuser and kwuftpd is no longer supported.

* Wed Nov  7 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- nigirisugi.
- revised spec file.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-4k)
- add locale.h for PPC archtecture, however it'd be applied all platforms.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release. based on RawHide's.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@konadra.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild agaisnt new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- add GIF Support switch.
- relaese.

* Thu Oct 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modified Requires BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.
- add kdeadmin-1.94-kpackage-i18n.diff

* Mon Sep 25 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
